Page MenuHomePhabricator

Set up a shared Vue component library for Wikibase
Open, Needs TriagePublic

Description

  • Repo
  • CI
  • Development infrastructure
    • linting
    • testing
    • build configuration
  • ResizingTextfield
  • IndeterminateProgressBar
  • Publish on npm
  • use in multiple projects
  • story book
  • documentation for rules of engagement (versioning, rules for contributing, how to communicate changes)

Details

Related Gerrit Patches:
integration/docroot : masterAdd link for Vue.js component library
wikibase/termbox : masterUse IndeterminateProgressBar from shared lib
mediawiki/extensions/Wikibase : masterbridge: use IndeterminateProgressBar from shared lib
mediawiki/extensions/Wikibase : masterbridge: use shared component library
wikibase/termbox : masterUse shared component library
wikibase/vuejs-components : masterRemove polyfills from build output
wikibase/vuejs-components : masterAdd initial README
wikibase/vuejs-components : masterRemove babel-preset-vue
wikibase/vuejs-components : masterRemove dist/ directory from git
wikibase/vuejs-components : masterAdd IndeterminateProgressBar
wikibase/vuejs-components : masterExtract all component css into a single css file
wikibase/vuejs-components : mastershared-vue: alter package name
wikibase/vuejs-components : masterPublish storybook on docs.wikimedia.org
wikibase/vuejs-components : masterAdd storybook
wikibase/vuejs-components : masterAdd SASS
wikibase/vuejs-components : masterAdd jest

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 10 2019, 10:39 AM
Jakob_WMDE updated the task description. (Show Details)Dec 10 2019, 10:41 AM

Change 551828 had a related patch set uploaded (by Jakob; owner: Matthias Geisler):
[wikibase/vuejs-components@master] Add jest

https://gerrit.wikimedia.org/r/551828

Change 551828 merged by jenkins-bot:
[wikibase/vuejs-components@master] Add jest

https://gerrit.wikimedia.org/r/551828

Change 551832 had a related patch set uploaded (by Jakob; owner: Matthias Geisler):
[wikibase/vuejs-components@master] Add SASS

https://gerrit.wikimedia.org/r/551832

Change 551832 merged by jenkins-bot:
[wikibase/vuejs-components@master] Add SASS

https://gerrit.wikimedia.org/r/551832

Jakob_WMDE updated the task description. (Show Details)Dec 10 2019, 2:16 PM

Change 551834 had a related patch set uploaded (by Jakob; owner: Matthias Geisler):
[wikibase/vuejs-components@master] Add storybook

https://gerrit.wikimedia.org/r/551834

Change 551834 merged by jenkins-bot:
[wikibase/vuejs-components@master] Add storybook

https://gerrit.wikimedia.org/r/551834

Change 556357 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/vuejs-components@master] Publish storybook on docs.wikimedia.org

https://gerrit.wikimedia.org/r/556357

Change 556357 merged by jenkins-bot:
[wikibase/vuejs-components@master] Publish storybook on docs.wikimedia.org

https://gerrit.wikimedia.org/r/556357

Change 552469 had a related patch set uploaded (by Jakob; owner: Matthias Geisler):
[wikibase/vuejs-components@master] shared-vue: alter package name

https://gerrit.wikimedia.org/r/552469

Change 552469 merged by jenkins-bot:
[wikibase/vuejs-components@master] shared-vue: alter package name

https://gerrit.wikimedia.org/r/552469

Change 556990 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/vuejs-components@master] Extract all component css into a single css file

https://gerrit.wikimedia.org/r/556990

Change 556990 merged by jenkins-bot:
[wikibase/vuejs-components@master] Extract all component css into a single css file

https://gerrit.wikimedia.org/r/556990

Change 555508 had a related patch set uploaded (by Jakob; owner: Matthias Geisler):
[wikibase/vuejs-components@master] Add IndeterminateProgressBar

https://gerrit.wikimedia.org/r/555508

Jakob_WMDE updated the task description. (Show Details)Dec 13 2019, 11:35 AM

Change 555508 merged by jenkins-bot:
[wikibase/vuejs-components@master] Add IndeterminateProgressBar

https://gerrit.wikimedia.org/r/555508

Change 557000 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/vuejs-components@master] Remove dist/ directory from git

https://gerrit.wikimedia.org/r/557000

Change 557000 merged by jenkins-bot:
[wikibase/vuejs-components@master] Remove dist/ directory from git

https://gerrit.wikimedia.org/r/557000

Change 552466 had a related patch set uploaded (by Jakob; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] bridge: use shared component library

https://gerrit.wikimedia.org/r/552466

Jakob_WMDE updated the task description. (Show Details)Dec 13 2019, 1:06 PM

Change 557007 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] bridge: use IndeterminateProgressBar from shared lib

https://gerrit.wikimedia.org/r/557007

Jakob_WMDE updated the task description. (Show Details)Dec 13 2019, 5:02 PM
Jakob_WMDE updated the task description. (Show Details)Dec 13 2019, 5:05 PM

Change 558056 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/vuejs-components@master] Remove babel-preset-vue

https://gerrit.wikimedia.org/r/558056

Change 558057 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/vuejs-components@master] Remove polyfills from build output

https://gerrit.wikimedia.org/r/558057

Change 558056 merged by jenkins-bot:
[wikibase/vuejs-components@master] Remove babel-preset-vue

https://gerrit.wikimedia.org/r/558056

Change 558057 merged by jenkins-bot:
[wikibase/vuejs-components@master] Remove polyfills from build output

https://gerrit.wikimedia.org/r/558057

Jakob_WMDE updated the task description. (Show Details)Dec 16 2019, 3:35 PM

Change 558108 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/vuejs-components@master] Add initial README

https://gerrit.wikimedia.org/r/558108

Change 558108 merged by jenkins-bot:
[wikibase/vuejs-components@master] Add initial README

https://gerrit.wikimedia.org/r/558108

Change 558467 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[wikibase/termbox@master] Use shared component library

https://gerrit.wikimedia.org/r/558467

Change 558470 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[wikibase/termbox@master] Use IndeterminateProgressBar from shared lib

https://gerrit.wikimedia.org/r/558470

Change 558467 merged by jenkins-bot:
[wikibase/termbox@master] Use shared component library

https://gerrit.wikimedia.org/r/558467

Change 552466 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: use shared component library

https://gerrit.wikimedia.org/r/552466

Change 557007 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: use IndeterminateProgressBar from shared lib

https://gerrit.wikimedia.org/r/557007

Jakob_WMDE updated the task description. (Show Details)Dec 20 2019, 10:37 AM

Change 558470 merged by jenkins-bot:
[wikibase/termbox@master] Use IndeterminateProgressBar from shared lib

https://gerrit.wikimedia.org/r/558470

Change 559803 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[integration/docroot@master] Add link for Vue.js component library

https://gerrit.wikimedia.org/r/559803

Change 559803 merged by jenkins-bot:
[integration/docroot@master] Add link for Vue.js component library

https://gerrit.wikimedia.org/r/559803